Page MenuHomeLubuntu Development

Enable i386 architecture
Closed, ResolvedPublic

Description

Right now to install, e.g. Steam, one has to enable the i386 architecture (dpkg --add-architecture i386) before they can install it. It's rather unfriendly and doesn't really warn you of this. As it turns out Ubuntu fixed this at the tail end of the 19.10 cycle. Unfortunately, it looks like the fix was in Ubiquity which is why we didn't get it.

As it stands, the vast majority of our "installation" is really simply unpacking the squashfs that essentially is the live system. There's a small number of packages that get added (language stuff only) and a few that get removed (like Calamares) in the packages module. To be as future proof as possible, I'm thinking it might be wise to try to get the fix in the squashfs itself because then the live system would work correctly (it doesn't in Ubuntu), but I'm not clear on how to do that (@tsimonq2, help?). Alternately, we need to make another shellprocess module.

Event Timeline

wxl triaged this task as High priority.Jan 16 2020, 11:31 PM
wxl created this task.
kc2bez added a subscriber: kc2bez.Jan 21 2020, 10:58 AM

I have tested adding a shellprocess module that adds i386 architecture and have a working configuration if that is the route we need to go.

wxl added a comment.Jan 28 2020, 7:37 PM

BTW I suggested a change in casper and mwhudson suggested building images with the change. There hasn't been much movement on either front so we may have to do this.

kc2bez added a comment.Feb 1 2020, 1:49 AM

The shellprocess has landed in focal. Moar testing is welcome. Tests so far have proven positive.

wxl added a comment.Feb 1 2020, 4:23 PM

Just putting it down on record that I tested this by applying the changes manually as well as on a fresh install yesterday in vbox and all worked fine for me. dpkg --print-foreign-architectures returns i386 and Steam installs without problem in Discover.

Unless there are objections, I think we should close this. Our solution seems to work fine and I don't see any movement on the alternative.

wxl closed this task as Resolved.Feb 18 2020, 2:11 PM
wxl claimed this task.

Agreed. I did make a comment in the Ubuntu Discourse thread that we did this so I would expect an alert if they changed something elsewhere.